/************************************************************************/
/*                                                                      */
/*   kernel.h                                                           */
/*                                                                      */
/*   User defined kernel function. Feel free to plug in your own.       */
/*                                                                      */
/*   Copyright: Thorsten Joachims                                       */
/*   Date: 16.12.97                                                     */
/*                                                                      */
/************************************************************************/

/* KERNEL_PARM is defined in svm.h The field 'custom' is reserved for */
/* parameters of the user defined kernel. You can also access and use */
/* the parameters of the other kernels. */

double custom_kernel(kernel_parm,a,b) /* plug in you favorite kernel */
KERNEL_PARM *kernel_parm;      
WORD *a,*b;
{
  return(exp(-kernel_parm->rbf_gamma
	     *(sprod_ss(a,a)-2*sprod_ss(a,b)+sprod_ss(b,b)))); /* rbf */
}
